src/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/fetch-questionnaire', 'HomeController@fetchQuestionnaire');


Route::group(['as' => 'landing.'], function() {

    // Homepage
    Route::get('/', 'LandingController@index')->name('home');

    // Artikel
    Route::get('/artikel', 'LandingController@articles')->name('artikel');
    Route::get('/artikel/{slug}', 'LandingController@showArticle')->name('artikel.single');

    // Publikasi
    Route::get('/publikasi', 'LandingController@publications')->name('publikasi');
    Route::get('/publikasi/{slug}', 'LandingController@showPublication')->name('publikasi.single');

    // Informasi
    Route::get('/informasi/hki', 'LandingController@hki')->name('hki');
    Route::get('/informasi/profile-peneliti', 'LandingController@researchist')->name('profile');
    Route::get('/informasi/profile-peneliti/{slug}', 'LandingController@showProfile')->name('profile.show');
    Route::get('/informasi/faq', 'LandingController@faq')->name('faq');

    // Galeri
    Route::get('/gallery', 'LandingController@gallery')->name('gallery');

    // About
    Route::get('/about', 'LandingController@about')->name('about');

    // Image URL
    Route::get('/image/{page}/{image}', 'LandingController@showImage')->name('image.show');
});


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/quiz', 'HomeController@quiz')->name('quiz');
Route::get('/result/{id}', 'HomeController@result')->name('result');
Route::get('/result/{id}/total-count-dimension', 'HomeController@totalCountDimension')->name('total_count_dimension');
Route::get('/result/{id}/total-count-indicator', 'HomeController@totalCountIndicator')->name('total_count_indicator');

Route::get('/history', 'HomeController@history')->name('history');
Route::get('/schools', 'HomeController@schools')->name('schools');
Route::get('/change-password', 'HomeController@changePassword')->name('changePassword');
Route::get('/terms', 'HomeController@terms')->name('terms');
Route::get('/policy', 'HomeController@policy')->name('policy');
Route::post('/send-answer', 'HomeController@storeAnswer')->name('answer.store');
Route::put('/update/account', 'HomeController@updateAccount')->name('account.update');
Route::put('/update/school', 'HomeController@updateSchool')->name('school.update');
Route::put('/update/password', 'HomeController@updatePassword')->name('password.update');



Route::group(['prefix' => 'backend', 'namespace' => 'Backend'], function ()
{
    Route::get('/', function ()
    {
        return redirect('/backend/dashboard');
    });

    Route::get('/login', 'Auth\LoginController@showLoginForm')->name('backend.login');
    /**/
    Route::get('/dashboard', 'HomeController@index')->name('backend.home');
    Route::get('/account-setting', 'HomeController@accountSetting')->name('backend.accountSetting');
    Route::get('/password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('backend.forgot_password');
    Route::get('/password/reset/{id}/{date}/{token}', 'Auth\ResetPasswordController@showResetForm')->name('backend.resetpassword');

    Route::post('/login', 'Auth\LoginController@doLogin')->name('backend.doLogin');
    Route::post('/logout', 'Auth\LoginController@doLogout')->name('backend.doLogout');
    Route::post('/password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('backend.sendlink');
    Route::post('/password/reset', 'Auth\ResetPasswordController@reset')->name('backend.reset');

    Route::prefix('admin')->group(function()
    {
        Route::get('', 'AdminController@index')->name('backend.admin.index');
        Route::get('data', 'AdminController@data')->name('backend.admin.data');
        Route::get('edit/{id}', 'AdminController@edit')->name('backend.admin.edit');
        Route::post('store', 'AdminController@store')->name('backend.admin.store');
        Route::post('update/{id}', 'AdminController@update')->name('backend.admin.update');
        Route::delete('delete/{id}', 'AdminController@delete')->name('backend.admin.delete');
    });

    Route::prefix('age-category')->group(function()
    {
        Route::get('', 'AgeCategoryController@index')->name('backend.ageCategory.index');
        Route::get('data', 'AgeCategoryController@data')->name('backend.ageCategory.data');
        Route::get('edit/{id}', 'AgeCategoryController@edit')->name('backend.ageCategory.edit');
        Route::post('store', 'AgeCategoryController@store')->name('backend.ageCategory.store');
        Route::post('update/{id}', 'AgeCategoryController@update')->name('backend.ageCategory.update');
        Route::delete('delete/{id}', 'AgeCategoryController@delete')->name('backend.ageCategory.delete');
    });

    Route::prefix('education')->group(function()
    {
        Route::get('', 'EducationController@index')->name('backend.education.index');
        Route::get('data', 'EducationController@data')->name('backend.education.data');
        Route::get('edit/{id}', 'EducationController@edit')->name('backend.education.edit');
        Route::post('store', 'EducationController@store')->name('backend.education.store');
        Route::post('update/{id}', 'EducationController@update')->name('backend.education.update');
        Route::delete('delete/{id}', 'EducationController@delete')->name('backend.education.delete');
    });

    Route::prefix('employement-status')->group(function()
    {
        Route::get('', 'EmploymentStatusController@index')->name('backend.employementStatus.index');
        Route::get('data', 'EmploymentStatusController@data')->name('backend.employementStatus.data');
        Route::get('edit/{id}', 'EmploymentStatusController@edit')->name('backend.employementStatus.edit');
        Route::post('store', 'EmploymentStatusController@store')->name('backend.employementStatus.store');
        Route::post('update/{id}', 'EmploymentStatusController@update')->name('backend.employementStatus.update');
        Route::delete('delete/{id}', 'EmploymentStatusController@delete')->name('backend.employementStatus.delete');
    });

    Route::prefix('school-level')->group(function()
    {
        Route::get('', 'SchoolLevelController@index')->name('backend.schoolLevel.index');
        Route::get('data', 'SchoolLevelController@data')->name('backend.schoolLevel.data');
        Route::get('edit/{id}', 'SchoolLevelController@edit')->name('backend.schoolLevel.edit');
        Route::post('store', 'SchoolLevelController@store')->name('backend.schoolLevel.store');
        Route::post('update/{id}', 'SchoolLevelController@update')->name('backend.schoolLevel.update');
        Route::delete('delete/{id}', 'SchoolLevelController@delete')->name('backend.schoolLevel.delete');
    });

    Route::prefix('teacher-type')->group(function()
    {
        Route::get('', 'TeacherTypeController@index')->name('backend.teacherType.index');
        Route::get('data', 'TeacherTypeController@data')->name('backend.teacherType.data');
        Route::get('edit/{id}', 'TeacherTypeController@edit')->name('backend.teacherType.edit');
        Route::post('store', 'TeacherTypeController@store')->name('backend.teacherType.store');
        Route::post('update/{id}', 'TeacherTypeController@update')->name('backend.teacherType.update');
        Route::delete('delete/{id}', 'TeacherTypeController@delete')->name('backend.teacherType.delete');
    });

    Route::prefix('subject')->group(function()
    {
        Route::get('', 'subjectController@index')->name('backend.subject.index');
        Route::get('data', 'subjectController@data')->name('backend.subject.data');
        Route::get('data-shool-level', 'subjectController@dataSchoolLevel')->name('backend.subject.dataSchoolLevel');
        Route::get('edit/{id}', 'subjectController@edit')->name('backend.subject.edit');
        Route::post('store', 'subjectController@store')->name('backend.subject.store');
        Route::post('update/{id}', 'subjectController@update')->name('backend.subject.update');
        Route::delete('delete/{id}', 'subjectController@delete')->name('backend.subject.delete');
    });

    Route::prefix('year-experience')->group(function()
    {
        Route::get('', 'YearExperienceController@index')->name('backend.yearExperience.index');
        Route::get('data', 'YearExperienceController@data')->name('backend.yearExperience.data');
        Route::get('edit/{id}', 'YearExperienceController@edit')->name('backend.yearExperience.edit');
        Route::post('store', 'YearExperienceController@store')->name('backend.yearExperience.store');
        Route::post('update/{id}', 'YearExperienceController@update')->name('backend.yearExperience.update');
        Route::delete('delete/{id}', 'YearExperienceController@delete')->name('backend.yearExperience.delete');
    });

    Route::prefix('additional-task')->group(function()
    {
        Route::get('', 'AdditionalTaskController@index')->name('backend.additionalTask.index');
        Route::get('data', 'AdditionalTaskController@data')->name('backend.additionalTask.data');
        Route::get('edit/{id}', 'AdditionalTaskController@edit')->name('backend.additionalTask.edit');
        Route::post('store', 'AdditionalTaskController@store')->name('backend.additionalTask.store');
        Route::post('update/{id}', 'AdditionalTaskController@update')->name('backend.additionalTask.update');
        Route::delete('delete/{id}', 'AdditionalTaskController@delete')->name('backend.additionalTask.delete');
    });

    Route::prefix('dimension')->group(function()
    {
        Route::get('', 'DimensionController@index')->name('backend.dimension.index');

src/resources/views/_partials/breadcrumb.blade.php
<section class="bg-green">
    <div class="container bg-ornamen py-5">
        <div class="position-relative">
            <nav class="breadcrumb bg-transparent p-0 text-sm position-md-absolute">
                @foreach($links as $link)
                <a class="breadcrumb-item text-white" href="{{ $link['url'] }}">{{ $link['name'] }}</a>
                @endforeach
                <span class="breadcrumb-item text-white active">{{ $page_title }}</span>
            </nav>
            <h1 class="font-weight-bold text-white text-lg">{{ $page_title }}</h1>
        </div>
    </div>
</section>

src/resources/views/_partials/carousel.blade.php
<div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
        <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
        {{-- <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
        <li data-target="#carouselExampleCaptions" data-slide-to="2"></li> --}}
    </ol>
    <div class="carousel-inner">
        <div class="carousel-item active">
            <img src="{{ asset('images/bg-selamat-datang.jpg') }}" class="d-block w-100" alt="...">
            <div class="carousel-caption d-flex flex-column justify-content-center align-items-center mx-auto w-50" style="top:0">
                <h2 class="font-weight-bold">Selamat Datang!</h2>
                <p>Temukan bagaimana kompetensi anda sebagai guru, apakah sudah siap menghadapi dan beradaptasi dengan industri 4.0? Kompetensi Guru dirancang untuk melihat bagaimana gambaran kompetensi guru di Indonesia.</p>
                <a href="{{ route('quiz') }}" class="btn btn-primary">Masuk dan Mulai Tes</a>
            </div>
        </div>
        {{-- <div class="carousel-item">
            <img src="{{ asset('images/bg-selamat-datang.jpg') }}" class="d-block w-100" alt="...">
            <div class="carousel-caption d-flex flex-column justify-content-center align-items-center mx-auto w-50" style="top:0">
                <h2 class="font-weight-bold">Selamat Datang!</h2>
                <p>Temukan bagaimana kompetensi anda sebagai guru, apakah sudah siap menghadapi dan beradaptasi dengan industri 4.0? Kompetensi Guru dirancang untuk melihat bagaimana gambaran kompetensi guru di Indonesia.</p>
                <a href="{{ route('quiz') }}" class="btn btn-primary">Masuk dan Mulai Tes</a>
            </div>
        </div>
        <div class="carousel-item">
            <img src="{{ asset('images/bg-selamat-datang.jpg') }}" class="d-block w-100" alt="...">
            <div class="carousel-caption d-flex flex-column justify-content-center align-items-center mx-auto w-50" style="top:0">
                <h2 class="font-weight-bold">Selamat Datang!</h2>
                <p>Temukan bagaimana kompetensi anda sebagai guru, apakah sudah siap menghadapi dan beradaptasi dengan industri 4.0? Kompetensi Guru dirancang untuk melihat bagaimana gambaran kompetensi guru di Indonesia.</p>
                <a href="{{ route('quiz') }}" class="btn btn-primary">Masuk dan Mulai Tes</a>
            </div>
        </div> --}}
    </div>
    {{-- <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
    </a> --}}
</div>

src/resources/views/_partials/dashboard-sidebar.blade.php
<div class="col-md-3">
    <div class="card">
        <div class="card-body p-0">
            <h5 class="text-green font-weight-bold d-flex align-items-center px-3 mb-0 pt-3"><i class="icn icn-male active w-2x mr-2"></i> {{ Auth::user()->name }}</h5>
            <hr class="mb-2">
            <div class="list-menu pb-3">
                <a class="list-menu-item px-3 py-2 {{ request()->routeIs('history') ? 'active' : '' }}" href="{{ route('history') }}">Histori Tes</a>
                <div class="list-menu-divider"></div>
                <a class="list-menu-item px-3 py-2 {{ request()->routeIs('home') ? 'active' : '' }}" href="{{ route('home') }}">Akun Saya</a>
                <a class="list-menu-item px-3 py-2 {{ request()->routeIs('changePassword') ? 'active' : '' }}" href="{{ route('changePassword') }}">Ubah Kata Sandi</a>
                <a class="list-menu-item px-3 py-2 {{ request()->routeIs('schools') ? 'active' : '' }}" href="{{ route('schools') }}">Data Sekolah Tempat Mengajar</a>
                <div class="list-menu-divider"></div>
                <a class="list-menu-item px-3 py-2 {{ request()->routeIs('terms') ? 'active' : '' }}" href="{{ route('terms') }}">Ketentuan Pengguna</a>
                <a class="list-menu-item px-3 py-2 {{ request()->routeIs('policy') ? 'active' : '' }}" href="{{ route('policy') }}">Kebijakan Privasi</a>
            </div>
        </div>
    </div>
</div>

src/resources/views/_partials/footer.blade.php
<section class="bg-green">
    <div class="container text-white">
        <div class="row py-5">
            <div class="col-md-4">
                <h3 class="font-weight-bold">Kompetensi Guru </h3>
                <p class="text-sm py-2">Jl. Kyai H. Syahdan No.9, RT.6/RW.12, Palmerah, Kec. Palmerah, Kota Jakarta Barat, Daerah Khusus Ibukota Jakarta 11480</p>
                <div class="d-flex mx-n3 mb-4">
                    {{-- <div class="px-3">
                        <h6>KONTAK</h6>
                        <p class="text-sm">024 - 572 572</p>
                    </div> --}}
                    <div class="px-3">
                        <h6>EMAIL</h6>
                        <p class="text-sm">sasmoko@binus.edu</p>
                    </div>
                </div>
            </div>
            <div class="col-md-4 px-md-5">
                <div class="d-flex mx-n4 mb-4 text-sm">
                    <ul class="list-unstyled mx-4">
                        <li class="py-1"><a href="#" class="text-white">Beranda</a></li>
                        <li class="py-1"><a href="#" class="text-white">Informasi</a></li>
                        <li class="py-1"><a href="#" class="text-white">Artikel</a></li>
                    </ul>
                    <ul class="list-unstyled mx-4">
                        <li class="py-1"><a href="#" class="text-white">Publikasi</a></li>
                        <li class="py-1"><a href="#" class="text-white">Gallery</a></li>
                        <li class="py-1"><a href="#" class="text-white">Tentang Kami</a></li>
                    </ul>
                </div>
                <div class="socmed">
                    <h6>FOLLOW US</h6>
                    <ul class="list-unstyled d-flex mx-n3">
                        <li class="px-3"><a href="#" class="text-white text-lg"><i class="fab fa-facebook-f"></i></a></li>
                        <li class="px-3"><a href="https://www.youtube.com/channel/UCtrGxEk03mbvRtxbWW1O2PQ" class="text-white text-lg"><i class="fab fa-youtube"></i></a></li>
                        <li class="px-3"><a href="https://www.instagram.com/rigedutech_binus/" class="text-white text-lg"><i class="fab fa-instagram"></i></a></li>
                        <li class="px-3"><a href="#" class="text-white text-lg"><i class="fab fa-twitter"></i></a></li>
                    </ul>
                </div>
            </div>
        </div>
        <p class="text-center mb-0 pb-3 text-sm">© 2020 kompetensi guru. All rights reserved.</p>
    </div>
</section>

src/resources/views/_partials/navbar.blade.php
<nav class="navbar navbar-expand-md navbar-light navbar-menu">
    <div class="container">
        <a class="navbar-brand" href="{{ url('/') }}">
            <img src="{{ asset('images/logo.png') }}" class="img-fluid" alt="">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- Left Side Of Navbar -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item px-md-3 {{ request()->routeIs('landing.home') ? 'active' : '' }}">
                    <a class="nav-link" href="{{ route('landing.home') }}">Beranda</a>
                </li>
                <li class="nav-item px-md-3 {{ request()->routeIs('landing.hki') || request()->routeIs('landing.profile') || request()->routeIs('landing.faq') ? 'active' : '' }} dropdown">
                    <a id="infoMenu" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        Informasi
                    </a>

                    <div class="dropdown-menu" aria-labelledby="infoMenu">
                        <a class="dropdown-item" href="{{ route('landing.hki') }}">Informasi HKI Terkait Test</a>
                        <a class="dropdown-item" href="{{ route('landing.profile') }}">Profile Peneliti</a>
                        {{-- <a class="dropdown-item" href="{{ route('landing.faq') }}">FAQ</a> --}}
                    </div>
                </li>
                <li class="nav-item px-md-3 {{ request()->routeIs('landing.artikel') ? 'active' : '' }}">
                    <a class="nav-link" href="{{ route('landing.artikel') }}">Artikel</a>
                </li>
                <li class="nav-item px-md-3 {{ request()->routeIs('landing.publikasi') ? 'active' : '' }}">
                    <a class="nav-link" href="{{ route('landing.publikasi') }}">Publikasi</a>
                </li>
                <li class="nav-item px-md-3 {{ request()->routeIs('landing.gallery') ? 'active' : '' }}">
                    <a class="nav-link" href="{{ route('landing.gallery') }}">Gallery</a>
                </li>
                <li class="nav-item px-md-3 {{ request()->routeIs('landing.about') ? 'active' : '' }}">
                    <a class="nav-link" href="{{ route('landing.about') }}">Tentang Kami</a>
                </li>
            </ul>

            <!-- Right Side Of Navbar -->
            <ul class="navbar-nav">
                <!-- Authentication Links -->
                @guest
                    <li class="nav-item mr-md-3 mb-2 mb-md-0">
                        <a class="btn btn-outline-primary" href="{{ route('login') }}">{{ __('Masuk') }}</a>
                    </li>
                    @if (Route::has('register'))
                        <li class="nav-item">
                            <a class="btn btn-primary" href="{{ route('register') }}">{{ __('Daftar') }}</a>
                        </li>
                    @endif
                @else
                    <li class="nav-item dropdown">
                        <a id="navbarDropdown" class="nav-link dropdown-toggle rounded-pill d-flex align-items-center" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                            <i class="icn icn-male active mr-2"></i> {{ Auth::user()->name }}
                        </a>

                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" href="{{ route('history') }}">Histori Tes</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="{{ route('home') }}">Akun Saya</a>
                            <a class="dropdown-item" href="{{ route('changePassword') }}">Ubah Kata Sandi</a>
                            <a class="dropdown-item" href="{{ route('schools') }}">Data Sekolah Tempat Mengajar</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="{{ route('terms') }}">Ketentuan Penggunaan</a>
                            <a class="dropdown-item" href="{{ route('policy') }}">Kebijakan Privasi</a>
                            <div class="dropdown-item mt-2">
                                <a class="btn btn-outline-primary btn-block" href="{{ route('logout') }}"
                                    onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">
                                    {{ __('Keluar') }}
                                </a>
                            </div>
                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                @csrf
                            </form>
                        </div>
                    </li>
                @endguest
            </ul>
        </div>
    </div>
</nav>

src/resources/views/_partials/newest-article.blade.php
@foreach( App\Models\Articles::where('is_active',true)->orderBy('id','desc')->paginate(3) as $article )
<div class="col-md-4">
    <div class="post-thumbnail">
        <img src="{{ $article->image != "" ? route('landing.image.show',['article', $article->image]) : asset('images/login_cover.jpg') }}" class="img-fluid" alt="">
        <h4 class="post-title my-3"><a href="{{ route('landing.artikel.single', $article->slug) }}">{{ $article->title }}</a></h4>
        <div class="text-sm text-muted mb-3">Posted on {{ date("M d, Y", strtotime($article->created_at)) }}</div>
        <p>
            {{ \Illuminate\Support\Str::limit(strip_tags(str_replace("&nbsp;", "", $article->content)) )}} <a href="{{ route('landing.artikel.single', $article->slug) }}" class="text-sm">Read More  ></a>
        </p>
    </div>
</div>
@endforeach

src/resources/views/_partials/newsbar.blade.php
<div class="bg-green-light">
    <div class="container">
        <p class="text-center p-2 mb-0 text-sm">Berita terbaru : Lorem ipsum dolor per sempre. <a href="#"><i>Baca Selengkapnya >></i></a></p>
    </div>
</div>